<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/browsing/browserTemplate.xhtml">
            <ui:param name="managedBean" value="#{teleRadiologyOrderBrowser}"/>
            <ui:define name="additionalFilters">
                <div class="row">
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="fon"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber']}</ui:define>
                            <h:inputText value="#{teleRadiologyOrderBrowser.fillerOrderNumber}" id="fon"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="pon"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.PlacerOrderNumber']}</ui:define>
                            <h:inputText value="#{teleRadiologyOrderBrowser.placerOrderNumber}" id="pon"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="vn"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
                            <h:inputText value="#{teleRadiologyOrderBrowser.visitNumber}" id="vn"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="pid"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.PatientIdentifier']}</ui:define>
                            <h:inputText value="#{teleRadiologyOrderBrowser.patientId}" id="pid"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                </div>
            </ui:define>
            <ui:define name="columns">
                <ui:include src="/tro/orderColumns.xhtml">
                    <ui:param name="managedBean" value="#{teleRadiologyOrderBrowser}"/>
                    <ui:param name="currentOrder" value="#{o}"/>
                    <ui:param name="displayEncounterInfo" value="true"/>
                    <ui:param name="enableStatusEdit" value="false"/>
                </ui:include>
                <g:column>
                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                    <h:outputLink
                            value="#{applicationConfiguration.getValueOfVariable('application_url')}#{teleRadiologyOrderBrowser.getPermanentLink(o.id)}"
                            title="#{messages['gazelle.ordermanager.MoreDetails']}">
                        <s:span styleClass="gzl-icon-search "/>
                    </h:outputLink>
                </g:column>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
